Package org.apache.lucene.queries.spans

# Class SpanNearQuery.SpanNearWeight

java.lang.Object
org.apache.lucene.search.Weight
org.apache.lucene.queries.spans.SpanWeight
org.apache.lucene.queries.spans.SpanNearQuery.SpanNearWeight

All Implemented Interfaces:
  `SegmentCacheable`

Enclosing class:
  `SpanNearQuery`

public class SpanNearQuery.SpanNearWeight extends SpanWeight
Creates SpanNearQuery scorer instances

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.queries.spans.SpanWeight

  `SpanWeight.Postings`

  ## Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

  `Weight.DefaultBulkScorer, Weight.DefaultScorerSupplier`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.queries.spans.SpanWeight

  `field, similarity, simScorer`

  ### Fields inherited from class org.apache.lucene.search.Weight

  `parentQuery`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpanNearWeight(List<SpanWeight> subWeights, IndexSearcher searcher, Map<Term,TermStates> terms, float boost)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `extractTermStates(Map<Term,TermStates> contexts)`
  Collect all TermStates used by this Weight
  `Spans`
  `getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
  Expert: Return a Spans object iterating over matches from this Weight
  `boolean`
  `isCacheable(LeafReaderContext ctx)`
  `ScorerSupplier`
  `scorerSupplier(LeafReaderContext context)`

  ### Methods inherited from class org.apache.lucene.queries.spans.SpanWeight

  `explain, getSimScorer, matches`

  ### Methods inherited from class org.apache.lucene.search.Weight

  `bulkScorer, count, getQuery, scorer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpanNearWeight

    public SpanNearWeight(List<SpanWeight> subWeights, IndexSearcher searcher, Map<Term,TermStates> terms, float boost) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### extractTermStates

    public void extractTermStates(Map<Term,TermStates> contexts)
    Description copied from class: `SpanWeight`
    Collect all TermStates used by this Weight
    Specified by:
      `extractTermStates` in class `SpanWeight`
    Parameters:
      `contexts` - a map to add the TermStates to

  - ### getSpans

    public Spans getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings) throws IOException
    Description copied from class: `SpanWeight`
    Expert: Return a Spans object iterating over matches from this Weight
    Specified by:
      `getSpans` in class `SpanWeight`
    Parameters:
      `context` - a LeafReaderContext for this Spans
    Returns:
      a Spans
    Throws:
      `IOException` - on error

  - ### isCacheable

    public boolean isCacheable(LeafReaderContext ctx)

  - ### scorerSupplier

    public ScorerSupplier scorerSupplier(LeafReaderContext context) throws IOException
    Overrides:
      `scorerSupplier` in class `SpanWeight`
    Throws:
      `IOException`